Page MenuHomeVyOS Platform

Evaluate Setting Default Hash Policy to L3+L4
Closed, ResolvedPublicBUG

Description

Currently the default hash policy for ECMP is L3 only. L3+L4 has been the de facto standard on most devices for awhile now:
https://support.huawei.com/enterprise/en/doc/EDOC1100040242/60585466/configuring-the-ecmp-load-balancing-mode#tab_dc_cfg_eth-trunk_001001
https://www.juniper.net/documentation/en_US/junos/topics/topic-map/security-ecmp-flow-based-forwarding.html

This can be changed using the sysctl found in the parent bug report.

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202006241940
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Behavior change

Event Timeline

trae32566 created this task.Jul 7 2020, 9:33 PM
pasik added a subscriber: pasik.Jul 8 2020, 10:11 AM
trae32566 closed this task as Resolved.Jul 8 2020, 4:30 PM
trae32566 claimed this task.

Closed - this is available as set system ip layer4-hashing

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:15 PM